## qdl-plugins-sharevnn 0.1.0

=== Makefile ===
#############################################################################
# Makefile for building: libsharevnn.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Dec 7 15:38:51 2013
# Project:  sharevnn.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile sharevnn.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared -Wl,-soname,libsharevnn.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtNetwork -L/usr/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = sharevnn.cpp moc_sharevnn.cpp \
		moc_serviceplugin.cpp
OBJECTS       = sharevnn.o \
		moc_sharevnn.o \
		moc_serviceplugin.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		sharevnn.pro
QMAKE_TARGET  = sharevnn
DESTDIR       = 
TARGET        = libsharevnn.so.1.0.0
TARGETA       = libsharevnn.a
TARGETD       = libsharevnn.so.1.0.0
TARGET0       = libsharevnn.so
TARGET1       = libsharevnn.so.1
TARGET2       = libsharevnn.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: sharevnn.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile sharevnn.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile sharevnn.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/sharevnn1.0.0 || $(MKDIR) .tmp/sharevnn1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/sharevnn1.0.0/ && $(COPY_FILE) --parents sharevnn.h serviceinterface.h serviceplugin.h .tmp/sharevnn1.0.0/ && $(COPY_FILE) --parents sharevnn.cpp .tmp/sharevnn1.0.0/ && (cd `dirname .tmp/sharevnn1.0.0` && $(TAR) sharevnn1.0.0.tar sharevnn1.0.0 && $(COMPRESS) sharevnn1.0.0.tar) && $(MOVE) `dirname .tmp/sharevnn1.0.0`/sharevnn1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/sharevnn1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_sharevnn.cpp moc_serviceplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_sharevnn.cpp moc_serviceplugin.cpp
moc_sharevnn.cpp: serviceplugin.h \
		serviceinterface.h \
		sharevnn.h
	/usr/bin/moc $(DEFINES) $(INCPATH) sharevnn.h -o moc_sharevnn.cpp

moc_serviceplugin.cpp: serviceinterface.h \
		serviceplugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) serviceplugin.h -o moc_serviceplugin.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

sharevnn.o: sharevnn.cpp sharevnn.h \
		serviceplugin.h \
		serviceinterface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sharevnn.o sharevnn.cpp

moc_sharevnn.o: moc_sharevnn.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_sharevnn.o moc_sharevnn.cpp

moc_serviceplugin.o: moc_serviceplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_serviceplugin.o moc_serviceplugin.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/qdl/service_plugins/ || $(MKDIR) $(INSTALL_ROOT)/opt/qdl/service_plugins/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/qdl/service_plugins/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/qdl/icons/ || $(MKDIR) $(INSTALL_ROOT)/opt/qdl/icons/ 
	-$(INSTALL_FILE) /home/stuart/QtProjects/Fremantle/qdl/qdl-plugins/service-plugins/sharevnn/sharevnn.jpg $(INSTALL_ROOT)/opt/qdl/icons/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/qdl/icons/sharevnn.jpg
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/qdl/icons/ 


install:  install_target install_icon  FORCE

uninstall: uninstall_target uninstall_icon   FORCE

FORCE:

## qdl-plugins-sharevnn 0.0.1

=== debian/changelog ===
qdl-plugins-sharevnn (0.0.1) unstable; urgency=low

  * Inital release.

 -- Stuart Howarth <stuhowarth77@gmail.com>  Tue, 19 Mar 2013 17:02:04 +0000

=== debian/control ===
Source: qdl-plugins-sharevnn
Section: user/network
Priority: optional
Maintainer: Stuart Howarth <stuhowarth77@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: https://sites.google.com/site/marxodian/home/qdl

Package: qdl-plugins-sharevnn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qdl (>= 0.8.0)
Description: Share.Vnn plugin for the QDL download manager.
 This plugin provides access to file downloads via Share.Vnn.

## qdl-plugins-sharevnn 0.1.1

=== debian/control ===
Source: qdl-plugins-sharevnn
Section: user/network
Priority: optional
Maintainer: Stuart Howarth <showarth@marxoft.co.uk>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://marxoft.co.uk/qdl

Package: qdl-plugins-sharevnn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qdl (>= 1.0.2)
Description: Share.Vnn plugin for the QDL download manager.
 This plugin provides access to file downloads via Share.Vnn.
